LFS_SEGCLEAN(2) | NetBSD System Calls Manual | LFS_SEGCLEAN(2)

# NAME

lfs_segclean — mark a segment clean

# LIBRARY

Standard C Library (libc, -lc)

# SYNOPSIS

#include <sys/types.h>

int
lfs_segclean(fsid_t *fsidp, u_long segment);

# DESCRIPTION

lfs_segclean() marks segment number segment in LFS filesystem *fsidp "clean" or available for writing.

# RETURN VALUES

lfs_segclean() returns 0 on success, or -1 on error.

# ERRORS

An error return from lfs_segclean() indicates:

[EFAULT]
  fsidp points outside the process's allocated address space.
[EINVAL]
  *fsidp does not specify a valid filesystem.
[EBUSY]
  segment is marked SU_ACTIVE, meaning that it does not yet belong to a valid checkpoint.

# SEE ALSO

lfs_bmapv(2), lfs_markv(2), lfs_segwait(2), lfs_cleanerd(8)

# HISTORY

The lfs_segclean() function call appeared in 4.4BSD.

May 23, 2000 | NetBSD 5.99